<template>
  <v-carousel
    :show-arrows="false"
    :interval="2000"
    hide-delimiter-background
    height="200"
    :touchless="true"
    class="carrousel"
  >
    <carousel-item v-for="(text,i) in texts" :key="i">
      <template slot="title">{{text.title}}</template>
      <template slot="text">{{text.text}}</template>
    </carousel-item>
  </v-carousel>
</template>

<script>
import CarouselItem from '@/components/Carousel/Item'
export default {
  name: 'CarouselIndex',
  props: ['texts'],
  components: { CarouselItem }
}
</script>

<style scoped>
.carrousel{
  margin-top:200px;
}
.v-btn--active.v-btn--icon {
  color: #EF5350 !important;
}
</style>
